跳到正文
Navigation

获取 MySQL 登录失败跟踪(Connection Control)插件状态

POST
https://your-panel.example.com:8888/database

查询 MySQL 的 CONNECTION_CONTROL 插件状态及登录失败跟踪配置。

Request body application/x-www-form-urlencoded required

  • request_time
    string
    required

    Unix 时间戳。

  • request_token
    string
    required

    按 API 概览生成的签名。

  • action
    GetLoginFailed
    required

    具体操作名称。

Returns

default

接口响应,业务状态见下方详细说明。

JSON
  • status
    optional
    string

    "on" 已开启,"off" 未开启

  • connection_control_failed_connections_threshold
    optional
    string

    失败次数阈值(开启时返回)

  • connection_control_min_connection_delay
    optional
    string

    最小延迟(开启时返回)

  • connection_control_max_connection_delay
    optional
    string

    最大延迟(开启时返回)

各操作详细说明

GetLoginFailedaction=GetLoginFailed获取 MySQL 登录失败跟踪(Connection Control)插件状态

查询 MySQL 的 CONNECTION_CONTROL 插件状态及登录失败跟踪配置。

  • 路由:POST /database
  • action:GetLoginFailed

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 GetLoginFailed

输出参数

参数名称 类型 描述
status String "on" 已开启,"off" 未开启
connection_control_failed_connections_threshold String 失败次数阈值(开启时返回)
connection_control_min_connection_delay String 最小延迟(开启时返回)
connection_control_max_connection_delay String 最大延迟(开启时返回)

示例

请求

POST /database HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=GetLoginFailed

响应

{"status": "off"}

Type to search…

↑↓ navigate↵ selectEsc close